Results 1 to 3 of 3
Discuss How SHOULD my iPhone be configured? at the iPhone "2G" (Rev. 1) - Hackint0sh.org; Hey Everyone! I've been reading super in depth about iPhones (my wife surprised me with ...
  1. #1
    Newbie Array

    Join Date
    Aug 2009
    Posts
    2
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Cool How SHOULD my iPhone be configured?

    Hey Everyone!
    I've been reading super in depth about iPhones (my wife surprised me with one......she unfortunately bought one from a guy who lied to her). A week ago I knew nothing about iPhones but now I know a lot.

    Here's my problem: wifi is grayed out, and so is bluetooth.

    Here's my question: What is the stuff that I "should" have on my iPhone? I've been reading a lot about the baseband version (mine is 04.04.05_G right now) and what about the 3.9BL or 4.6BL what is that? What baseband version should I have and should I have 3.9 or 4.6? I've read if your iPhone was made sept 2008 then it should have had 1.1.2 or something.

    What I've done: So far, the firmware was at 3.0 and I managed to successfully downgrade it to 1.1.4, so currently my firmware is 1.1.4. I was able to run ibooter (had to learn how to run cmd, that was fun!) and I found out that I do need to run swifi cause that error came on after I did radio readnvram. I just need to know where to go from here. I also got a payload from Knowledge is Power: iPhone:Sure Shot fix for greyed WIFI & Bluetooth and the bsd subsystem doesn't show up in iLiberty 1.2.06 so I don't know if I should transfer the 3 without the 4th one if that's a no no. I've also run KiPhone and I did iErase and debug, but now reading over other tutorials I probably should have done debug and downgrade baseband.....I guess I read the wrong tut.

    Anyways, thanks guys (and gals)!

    ImmortalFirefly
    Last edited by ImmortalFirefly; 08-11-2009 at 04:23 PM.



  2. #2
    Newbie Array

    Join Date
    Aug 2009
    Posts
    2
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default

    Well I did find this article.....finally something at least.

    What is Difference Between iPhone Baseband and Bootloader | iPhone

  3. #3
    qnc
    qnc is offline
    Professional Array

    Join Date
    Jun 2008
    Location
    Earth
    Posts
    50
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    8

    Default

    on a 2G phone the bootloader version will not make a great deal of difference. Since apple will not be upgrading them any more, once unlocked they will remain unlocked. The baseband is should not upgrade either. I'm on 3.0.1 and my baseband/modem firmware is 04.05.04_G and it has been like that since 2.0 upgrade. I have phone on 3.9 and 4.6 BL

    Basically
    Baseband is for radio voice and wifi.
    BootLoader is operating system.
    There are more detailed articles on what they do but that is it. Sorry just saw you link

    For the wifi issue I think the original user used ZiPhone this was causing a lot of issues with Wifi connectivity. One way that might help is to go to
    Settings -> General -> Reset -> Reset Network Settings
    Some times this will work and bring it back.

    Since you downgraded to 1.1.4 and ran Kiphone( i have done this before also) you should have downgraded everything.

    Try a DFU restore back to 1.1.4 and use iLiberty to jailbreak. run swifi to fix issue.

    Once you get verything working you should be able to upgrade back to 3.0. Since the new firmware wont upgrade BL or BB it will stay unlocked (if needed).

    You sound like you are tech savy and can read and follow directions.

    getting the BSD subsystem for 1.1.4 may be hard because of Cydia and most people leaving the 1.x firmwares behind.

    Try here to get the last version of iLibertyhttp://http://george.insideiphone.co....php/iliberty/

    this is the actual creators website of iLiberty. the last version is 1.3.something.

    Also though I can not make any promises, I may have the BSD payload but I would not be able to check until I'm home Wednesday some time. If I have it I can shoot it to you. Big back up fanatic especially when it comes to hacking my phones.

    I remember the last time i tried to download stuff from iliberty is was so hard to find becasuse everyone was on 2.2.1 and I was still on 1.1.3. No more support. I finally found it but have upgraded and have not used it in a long time.
    Last edited by qnc; 08-24-2009 at 11:19 PM.
    Yeah. I'm an iPhoneaholic so what!!!!!
    All jailbroken and unlocked!!!!!

 

 

Similar Threads

  1. Modding specially configured iPhones
    By Cacophony in forum iOS 4.x (iPhone OS 4.x)
    Replies: 1
    Last Post: 08-01-2011, 10:16 AM
  2. iPhone 3G S on orange uk server not correctly configured
    By jjbrennan1994 in forum Ultrasn0w (3G(S)/iPhone 4 unlock)
    Replies: 7
    Last Post: 11-03-2009, 07:02 PM
  3. Server not correctly configured - Youtube
    By christyrone in forum iPhone 3G
    Replies: 2
    Last Post: 10-19-2009, 10:47 AM
  4. [Exchange] Correctly configured but direct push doesn't work
    By asics in forum iPhone Developer Exchange
    Replies: 1
    Last Post: 04-26-2008, 02:06 PM
  5. Replies: 0
    Last Post: 04-20-2008, 06:50 AM

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 12:16 PM.
twitter, follow us!